clear

set more 1

use "V:\Econometrics\RA Stuff\Data\bySport\2002\2002Sport.dta", clear
gen SPORT = SPORTSCODE
tostring SPORT, replace
sort year unitid SPORTSCODE 

save "V:\Econometrics\RA Stuff\Data\bySport\2002\2002BySPORT.dta", replace

cd "v:\Econometrics\RA Stuff\Data\bySport\"

use 2003Sport.dta, clear
gen SPORTSCODE = SPORT
tostring SPORT, replace
sort year unitid SPORTSCODE 

save 2003BySPORT.dta, replace

use 2004Sport.dta, clear
gen SPORTSCODE = SPORT
tostring SPORT, replace
sort year unitid SPORTSCODE 

save 2004BySPORT.dta, replace

use 2005Sport.dta, clear
rename SPORT SC
rename SPORTSCODE S
rename S SPORT
rename SC SPORTSCODE
sort year unitid SPORTSCODE 

save 2005BySPORT.dta, replace

use 2006Sport.dta, clear
rename SPORT SC
rename SPORTSCODE S
rename S SPORT
rename SC SPORTSCODE
tostring zip_text, replace
sort year unitid SPORTSCODE 

save 2006BySPORT.dta, replace

use 2007Sport.dta, clear
tostring zip_text, replace
sort year unitid SPORTSCODE 

save 2007BySPORT.dta, replace

use 2008Sport.dta, clear
tostring zip_text, replace
sort year unitid SPORTSCODE 

save 2008BySPORT.dta, replace

use 2009Sport.dta, clear
tostring zip_text, replace
sort year unitid SPORTSCODE 

save 2009BySPORT.dta, replace

use "V:\Econometrics\RA Stuff\Data\bySport\2001\2001Sport.dta", clear
tostring SPORT, replace
destring SPORTSCODE, replace
sort year unitid SPORTSCODE 

save "V:\Econometrics\RA Stuff\Data\bySport\SPORT.dta", replace

append using "V:\Econometrics\RA Stuff\Data\bySport\2002\2002BySPORT.dta" 
append using 2003BySPORT.dta 
append using 2004BySPORT.dta 
append using 2005BySPORT.dta

destring REV_COED_MEN REV_COED_WOMEN OPEXPPERTEAM_COED_MEN EXP_COED_MEN EXP_COED_WOMEN TOTAL_EXP_COED TOTAL_OPEXP_COEDTEAM TOTAL_REV_COED PARTIC_COED_MEN COED_TOTAL_ASTCOACH COED_FTHDCOACH_MALE COED_PTHDCOACH_MALE COED_FTUNIVEMP_MALE COED_PTUNIVEMP_MALE COED_FTHDCOACH_FEM COED_PTHDCOACH_FEM COED_FTUNIVEMP_FEM COED_PTUNIVEMP_FEM COED_TOTAL_HDCOACH COED_FTASCOACH_MALE COED_PTASCOACH_MALE COED_FTACUNEMP_MALE COED_PTACUNEMP_MALE COED_FTASTCOACH_FEM COED_PTASTCOACH_FEM COED_FTACUNIVEMP_FEM COED_PTACUNIVEMP_FEM, replace
 
append using 2006BySPORT.dta 
append using 2007BySPORT.dta 
append using 2008BySPORT.dta 
append using 2009BySPORT.dta

save "V:\Econometrics\RA Stuff\Data\bySport\SPORT.dta", replace

set more 0
