clear

set more 1

use "V:\Econometrics\RA Stuff\Data\byInstitution\2002\2002Inst.dta", clear
sort year unitid
tostring   mail_addr1 mail_addr2 mail_city mail_state_cd mail_zip_text inst_new_name gen_phone_ext adm_phone_ext fin_phone_ext web_addr opeflag active_ind, replace
recast str50 mail_addr1 mail_addr2 mail_city mail_state_cd mail_zip_text inst_new_name gen_phone_ext adm_phone_ext fin_phone_ext web_addr opeflag active_ind

save "V:\Econometrics\RA Stuff\Data\byInstitution\2002\2002ByINST.dta", replace

cd "v:\Econometrics\RA Stuff\Data\byInstitution\"

use 2003Inst.dta, clear
sort year unitid

save 2003ByINST.dta, replace

use 2004Inst.dta, clear
sort year unitid

save 2004ByINST.dta, replace

use 2005Inst.dta, clear
sort year unitid
destring HDCOACH_SALARY_WOMEN, replace
recast long HDCOACH_SALARY_WOMEN
destring NUM_HDCOACH_WOMEN, replace
recast long NUM_HDCOACH_WOMEN
destring STUDENTAID_COED, replace
recast long STUDENTAID_COED

save 2005ByINST.dta, replace

use 2006Inst.dta, clear
sort year unitid
tostring zip_text, replace

save 2006ByINST.dta, replace

use 2007Inst.dta, clear
sort year unitid
tostring zip_text, replace

save 2007ByINST.dta, replace

use 2008Inst.dta, clear
sort year unitid
tostring zip_text, replace

save 2008ByINST.dta, replace

use 2009Inst.dta, clear
sort year unitid
tostring zip_text, replace

save 2009ByINST.dta, replace

use "V:\Econometrics\RA Stuff\Data\byInstitution\2001\2001Inst.dta", clear
sort year unitid
tostring   mail_addr1 mail_addr2 mail_city mail_state_cd mail_zip_text inst_new_name gen_phone_ext adm_phone_ext fin_phone_ext web_addr opeflag active_ind, replace
recast str50 mail_addr1 mail_addr2 mail_city mail_state_cd mail_zip_text inst_new_name gen_phone_ext adm_phone_ext fin_phone_ext web_addr opeflag active_ind
save "V:\Econometrics\RA Stuff\Data\byInstitution\INSTITUTION.dta", replace

append using "V:\Econometrics\RA Stuff\Data\byInstitution\2002\2002ByINST.dta" 
append using 2003ByINST.dta 
append using 2004ByINST.dta 
append using 2005ByINST.dta 
append using 2006ByINST.dta 
append using 2007ByINST.dta 
append using 2008ByINST.dta 
append using 2009ByINST.dta


save "V:\Econometrics\RA Stuff\Data\byInstitution\INSTITUTION.dta", replace

set more 0
